Commerce
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
Operations
POST commerce.account_status_changed
- Method:
POST - Path:
commerce.account_status_changed - Tags: commerce
Request Body
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp at which the event occurred. -
payloadobject-
accountobject— The account details.-
create_reference_idstring— The unique reference ID for this account if created through the Zoom Commerce API. -
crm_account_numberstring— The unique ID for the account in the Zoom CRM system. -
statusstring, possible values:"success", "partial success", "failure", "submitted", "in review"— The account's latest status: success, partial success, submitted, in review, or failure.
-
-
account_idstring— The ID of the account that triggered the webhook.
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"account": {
"crm_account_number": "",
"create_reference_id": "",
"status": "success"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp at which the event occurred. -
payloadobject-
accountobject— The account details.-
create_reference_idstring— The unique reference ID for this account if created through the Zoom Commerce API. -
crm_account_numberstring— The unique ID for the account in the Zoom CRM system. -
statusstring, possible values:"success", "partial success", "failure", "submitted", "in review"— The account's latest status: success, partial success, submitted, in review, or failure.
-
-
account_idstring— The ID of the account that triggered the webhook.
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"account": {
"crm_account_number": "",
"create_reference_id": "",
"status": "success"
}
}
}
POST commerce.quote_status_changed
- Method:
POST - Path:
commerce.quote_status_changed - Tags: commerce
Request Body
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp when the event occurred. -
payloadobject-
account_idstring— The ID of the account that triggered the webhook. -
quoteobject— The quote details.-
quote_reference_idstring— The reference ID for a quote. -
statusstring, possible values:"failedToSubmit", "completed", "canceled", "submitted", "failed", "approved", "rejected", "returned", "provisioning", "draft", "recalled"— The status of the quote.
-
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"quote": {
"quote_reference_id": "Q-3248714941",
"status": "approved"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp when the event occurred. -
payloadobject-
account_idstring— The ID of the account that triggered the webhook. -
quoteobject— The quote details.-
quote_reference_idstring— The reference ID for a quote. -
statusstring, possible values:"failedToSubmit", "completed", "canceled", "submitted", "failed", "approved", "rejected", "returned", "provisioning", "draft", "recalled"— The status of the quote.
-
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"quote": {
"quote_reference_id": "Q-3248714941",
"status": "approved"
}
}
}
POST commerce.deal_registration_status_changed
- Method:
POST - Path:
commerce.deal_registration_status_changed - Tags: commerce
Request Body
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp at which the event occurred. -
payloadobject-
account_idstring— The ID of the account that triggered the webhook. -
deal_registrationobject— The deal registration details.-
create_reference_idstring— The unique reference ID for this deal registration if created using the Deal Registration API. -
deal_reg_numberstring— The deal registration number. -
statusstring, possible values:"pending review", "denied", "returned", "approved", "expired", "revoked", "closed-lost", "closed-won", "failure", "pending sales review", "draft", "submitted", "submit failed"— The deal registration's status.
-
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"deal_registration": {
"deal_reg_number": "DR-135621",
"create_reference_id": "DRR-4834729",
"status": "approved"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp at which the event occurred. -
payloadobject-
account_idstring— The ID of the account that triggered the webhook. -
deal_registrationobject— The deal registration details.-
create_reference_idstring— The unique reference ID for this deal registration if created using the Deal Registration API. -
deal_reg_numberstring— The deal registration number. -
statusstring, possible values:"pending review", "denied", "returned", "approved", "expired", "revoked", "closed-lost", "closed-won", "failure", "pending sales review", "draft", "submitted", "submit failed"— The deal registration's status.
-
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"deal_registration": {
"deal_reg_number": "DR-135621",
"create_reference_id": "DRR-4834729",
"status": "approved"
}
}
}
POST commerce.order_status_changed
- Method:
POST - Path:
commerce.order_status_changed - Tags: commerce
Request Body
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp at which the event occurred. -
payloadobject-
account_idstring— The ID of the account that triggered the webhook. -
orderobject— The order details.-
order_reference_idstring— The reference ID for the order. -
statusstring, possible values:"draft", "failedToSubmit", "completed", "canceled", "failed", "submitted"— The order's status.
-
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"order": {
"order_reference_id": "O-3248714941",
"status": "completed"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
eventstring— The name of the event. -
event_idstring, format:UUID— A unique identifier for the event. -
event_tsinteger, format:int64— The timestamp at which the event occurred. -
payloadobject-
account_idstring— The ID of the account that triggered the webhook. -
orderobject— The order details.-
order_reference_idstring— The reference ID for the order. -
statusstring, possible values:"draft", "failedToSubmit", "completed", "canceled", "failed", "submitted"— The order's status.
-
-
Example:
{
"event": "",
"event_ts": 1,
"event_id": "",
"payload": {
"account_id": "",
"order": {
"order_reference_id": "O-3248714941",
"status": "completed"
}
}
}